WU-FTPD < 2.6.0 'SITE NEWER' Command Memory Exhaustion DoS

Medium Nessus Network Monitor Plugin ID 1807

Synopsis

The remote host is vulnerable to a Denial of Service (DoS) attack.

Description

The remote WU-FTPD server might be vulnerable to a resource exhaustion attack. To perform such an attack, one would have to log into this FTP server and issue bogus SITE NEWER commands.

Solution

Upgrade to WU-FTPD 2.6.0 or higher.

See Also

http://archives.neohapsis.com/archives/cc/1999-q4/0024.html

Plugin Details

Severity: Medium

ID: 1807

File Name: 1807.prm

Family: FTP Servers

Published: 2004/08/20

Modified: 2016/09/12

Dependencies: 1850

Nessus ID: 10319

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 5

Temporal Score: 4.4

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

CVSSv3

Base Score: 5.3

Temporal Score: 5.1

Vector: CVSS3#AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N

Temporal Vector: CVSS3#E:ND/RL:O/RC:C

Reference Information

CVE: CVE-1999-0880